{ config, pkgs, ... }@all: with all;
{
  # sops.secrets = {
  #   "wireless-networking.env" = {};
  # };

  networking = {
    nameservers = [
      "1.1.1.1"
      "8.8.8.8"
    ];
    hostName = hyper.host;
    networkmanager = {
      enable = true;
    };
    enableIPv6 = true;
    firewall.allowedTCPPorts = [ 
      (pkgs.lib.mkIf config.services.ollama.enable 11434)
      80
      443
      8000
      8080
    ];
  };
}
